General
cancel
Showing results for 
Search instead for 
Did you mean: 

LDAP UX and ADS Integration Error

 
SOLVED
Go to solution
Highlighted
Advisor

LDAP UX and ADS Integration Error

Hi all,
I have tried to integrate Ldap Ux Client B.04.00.02 with my Active Directory (2003 sp1 and SFU 3.5). I was able to successfully migrate the users from the hp machine into the active directory.( Though the migrated users did not have the unix attributes). The PAM Kerberos v1.0 and KRB5client is installed and all the necessary configurations done. But after running the set up program if i try to verify my proxy user .
# ./ldap_proxy_config -v
Internal error: fail to initialize ldap_common

What might be the problem.
If anyone tried this before. please help me.
5 REPLIES 5
Highlighted
Exalted Contributor

Re: LDAP UX and ADS Integration Error

Shalom,

Your ldap-ux client is out of date.

Get the latest from http://software.hp.com

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Highlighted
Advisor

Re: LDAP UX and ADS Integration Error

Hi Steven
Thanks for your suggestion.

While removing the Ldap Client I got the following errors
* The fileset
"NisLdapServer.YPLDAP-SERVER,l=/opt/ldapux,r=B.04.00.02"
requires the selected fileset
"LdapUxClient.CORE-RUN,l=/opt/ldapux,r=B.04.00.02" as a corequisite.

Should I also remove the Nis Ldap Server. (And also the PAM Kerberos?) before installing the latest versions?
...... Ski Ride .....
Highlighted
Acclaimed Contributor
Solution

Re: LDAP UX and ADS Integration Error

>Should I also remove NisLdapServer? (And also the PAM Kerberos?) before installing the latest versions?

Well, you need to remove both of those products since they depend on each other. I don't know about PAM.
Usually, you can just install the latest version without removing the old versions.
Highlighted
Advisor

Re: LDAP UX and ADS Integration Error

Thanks Steven and Dennis for the suggestions. I have removed all the older versions of the Products( Ldapclient, NisLdap Gateway & PAM Kerberos).
Highlighted
Advisor

Re: LDAP UX and ADS Integration Error

Hi I have completed the basic set up using newer versions of the product.